ruby-filesystem_0.5-5.1+b8_amd64.deb


Advertisement

Description

ruby-filesystem - Ruby extension for file-system information

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-filesystem
Package version 0.5
Package release 5.1+b8
Package architecture amd64
Package type deb
Installed size 41 B
Download size 10.05 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-filesystem_0.5-5.1+b8_i386.deb 0.5 i386 Debian Main
ruby-filesystem - - -

Requires

Name Value
libc6 >= 2.4
libgmp10 -
libruby2.5 >= 2.5.0~preview1
ruby << 1:2.6~
ruby >= 1:2.5~0

Provides

Name Value
libfilesystem-ruby -
libfilesystem-ruby1.8 -
libfilesystem-ruby1.9 -

Replaces

Name Value
libfilesystem-ruby << 0.5-4~
libfilesystem-ruby1.8 << 0.5-4~
libfilesystem-ruby1.9 << 0.5-4~

Download

Type URL
Binary Package ruby-filesystem_0.5-5.1+b8_amd64.deb
Source Package ruby-filesystem

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-filesystem deb package:
    # sudo apt-get install ruby-filesystem

Files

Path
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/filesystem.so
/usr/share/doc/ruby-filesystem/FileSystem.html
/usr/share/doc/ruby-filesystem/FileSystem.rd
/usr/share/doc/ruby-filesystem/README
/usr/share/doc/ruby-filesystem/changelog.Debian.amd64.gz
/usr/share/doc/ruby-filesystem/changelog.Debian.gz
/usr/share/doc/ruby-filesystem/copyright
/usr/share/doc/ruby-filesystem/examples/dfrb

Changelog

2014-04-22 - Cédric Boutillier <boutil@debian.org>
ruby-filesystem (0.5-5.1) unstable; urgency=medium
* Non-maintainer upload.
* Upload to unstable.
* Do not depend explicitly on a version of ruby (Closes: #735660)
- XS-Ruby-Versions is now set to all
* Drop DM-Upload-Allowed flag
* Drop quilt from Build-Depends (the 3.0 (quilt) source format is used)
* Rely on gem2deb magic to build and install
- erase upstream outdated Makefile, regenerated from extconf
- move files to ext/filesystem instead of build to use gem convention
- don't override dh_auto_build and dh_auto_install targets
- drop the --with quilt option to dh, add --buildsystem=ruby
2012-06-05 - Tatsuki Sugiura <sugi@nemui.org>
ruby-filesystem (0.5-5) experimental; urgency=low
* Fix segfault on 64bit environment (use NULL (!=0) for termination for
rb_struct_define) (Closes: #672763)
2012-04-30 - Tatsuki Sugiura <sugi@nemui.org>
ruby-filesystem (0.5-4) unstable; urgency=low
* Package renamed to ruby-filesystem.
2009-01-04 - Tatsuki Sugiura <sugi@nemui.org>
libfilesystem-ruby (0.5-3) unstable; urgency=low
* build 1.9 module
* Appli NMU Patch (Closes: #450289)
* Drop debian/watch file. Upstream is vanished. (Closes: #450289)
2006-08-03 - Michael Ablassmeier <abi@debian.org>
libfilesystem-ruby (0.5-2.1) unstable; urgency=low
* Non-maintainer upload 
* Do not build Package for soon-to-be-obsolete ruby 1.6 (Closes: #366569)
2004-07-19 - Tatsuki Sugiura <sugi@nemui.org>
libfilesystem-ruby (0.5-2) unstable; urgency=low
* fixed: 64bit arch problem. Very thanks for Kenshi Muto, Fumitoshi Ukai
and Mutsumi Ishikawa (Closes: #189964)
2004-05-25 - Tatsuki Sugiura <sugi@nemui.org>
libfilesystem-ruby (0.5-1) unstable; urgency=low
* New upstream release
2003-09-21 - Tatsuki Sugiura <sugi@nemui.org>
libfilesystem-ruby (0.4-6) unstable; urgency=low
* small fix in build script; run tests for ruby1.6 (Closes: #211270)
* according to new ruby policy; conflicts and provides has been added
* default version has been changed to 1.8 for conplianting to ruby-default
2003-09-11 - Tatsuki Sugiura <sugi@nemui.org>
libfilesystem-ruby (0.4-5) unstable; urgency=low
* install examples and docs in both vertion
2003-09-09 - Tatsuki Sugiura <sugi@nemui.org>
libfilesystem-ruby (0.4-4) unstable; urgency=low
* added; IA64 patch in diff.gz

See Also

Package Description
ruby-fission_0.5.0-2_all.deb Command line tool to manage VMware Fusion VMs
ruby-fix-trinity-output_1.0.0-1_all.deb Fix output fastq files from trinityrnaseq
ruby-fixwhich_1.0.2-1_all.deb ruby module that emulates the 'which' program
ruby-flexmock_2.0.4-1_all.deb simple and flexible mock objects for testing
ruby-flipper_0.13.0-3_all.deb Feature flipper for ANYTHING
ruby-flot-rails_0.0.7-1_all.deb jQuery Flot for Rails Asset pipeline
ruby-flowdock_0.7.1-1_all.deb Ruby library for using Flowdock's API
ruby-fog-aliyun_0.2.0-1_all.deb Fog provider for Aliyun Web Services
ruby-fog-atmos_0.1.0-3_all.deb Module for the 'fog' gem to support Atmos
ruby-fog-aws_2.0.1-1_all.deb module for the 'fog' gem to support Amazon Web Services
ruby-fog-azure_0.0.2-1_all.deb module for the 'fog' brary to support Azure cloud services
ruby-fog-brightbox_0.7.1-2_all.deb library to use the Brightbox Cloud in applications
ruby-fog-cloudatcost_0.2.3-1_all.deb module for the 'fog' library to support CloudAtCost
ruby-fog-core_1.45.0-2_all.deb shared classes and tests for fog providers and services
ruby-fog-dynect_0.0.2-1_all.deb Module for the 'fog' gem to support Dynect DNS
Advertisement
Advertisement